summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2017-06-09 09:36:56 +0000
committerramon <ramongomez@us.es>2017-06-09 09:36:56 +0000
commit7c841bdade483f0aabecd2ee1d6f9364fdee989b (patch)
treeefbccee55b456b611428671f57bd1027d441f5ed
parentec62ac9b5b165a5b1a68172b58acbaaa6c863988 (diff)
#768: Adaptar nuevos cambios a scripts {{{listclientlive}}} y {{{setclientlive}}}.
git-svn-id: https://opengnsys.es/svn/branches/version1.1@5358 a21b9725-9963-47de-94b9-378ad31fedc9
-rwxr-xr-xserver/bin/listclientlive13
-rwxr-xr-xserver/bin/setclientlive9
2 files changed, 13 insertions, 9 deletions
diff --git a/server/bin/listclientlive b/server/bin/listclientlive
index 006f4a5e..3aeccce3 100755
--- a/server/bin/listclientlive
+++ b/server/bin/listclientlive
@@ -6,7 +6,7 @@
# Variables.
-PROG=$(basename $0)
+PROG=$(basename "$0")
OPENGNSYS=${OPENGNSYS:-"/opt/opengnsys"}
SERVERCONF=$OPENGNSYS/etc/ogAdmServer.cfg
TFTPDIR=$OPENGNSYS/tftpboot
@@ -38,12 +38,13 @@ EOT
# Borrar el fichero temporal si termina el proceso.
trap "rm -f $MYCNF" 0 1 2 3 6 9 15
# Obtener nombre de ordenador individual o todos los de una aula e indicar su plantilla asociada.
-mysql --defaults-extra-file=$MYCNF -D "$CATALOG" -s -N -e \
- "SELECT nombreordenador, oglivedir FROM ordenadores
+mysql --defaults-extra-file="$MYCNF" -D "$CATALOG" -s -N -e \
+ "SELECT ord.nombreordenador, ord.oglivedir
+ FROM ordenadores AS ord
JOIN aulas USING (idaula)
WHERE aulas.nombreaula='$RESOURCE'
- OR nombreordenador='$RESOURCE';" | \
- while read PC OGLIVE; do
- echo "Equipo $PC asociado a cliente \"$OGLIVE\" $([ -e $TFTPDIR/$OGLIVE ] || echo "(inexistente)")"
+ OR ord.nombreordenador='$RESOURCE';" | \
+ while read -r PC OGLIVE; do
+ echo "Equipo \"$PC\" asociado a cliente \"$OGLIVE\" $([ -e $TFTPDIR/$OGLIVE ] || echo "(inexistente)")"
done
diff --git a/server/bin/setclientlive b/server/bin/setclientlive
index ea3a7db0..3ce417cb 100755
--- a/server/bin/setclientlive
+++ b/server/bin/setclientlive
@@ -60,11 +60,14 @@ password=$PASSWORD
EOT
# Borrar el fichero temporal si termina el proceso.
trap "rm -f $MYCNF" 0 1 2 3 6 9 15
+# Actualizar ogLive asignado al aula.
+mysql --defaults-extra-file="$MYCNF" -D "$CATALOG" -e \
+ "UPDATE aulas SET oglivedir='$OGLIVEDIR' WHERE nombreaula='$RESOURCE';"
# Actualizar ogLive para todos los clientes y reasignar plantilla PXE.
listclientmode "$RESOURCE" | awk -F\" '{print $2,$4}' | \
- while read PC BOOTMODE; do
+ while read -r PC BOOTMODE; do
date +"%b %d %T $PROG: Configurando \"$PC\" con cliente \"$OGLIVEDIR\"" | tee -a $LOGFILE
- mysql --defaults-extra-file=$MYCNF -D "$CATALOG" -e \
+ mysql --defaults-extra-file="$MYCNF" -D "$CATALOG" -e \
"UPDATE ordenadores SET oglivedir='$OGLIVEDIR' WHERE nombreordenador='$PC';"
- setclientmode $BOOTMODE $PC PERM >/dev/null
+ setclientmode "$BOOTMODE" "$PC" PERM >/dev/null
done